import {
    leftMenuComponent
} from './leftMenu/leftMenu.component';

import './leftMenu/leftMenu.component.less';
import {
    sideNavComponent
} from './sideNav/sideNav.component';
import './sideNav/sideNav.less';
import './counter/counter.less';
import {
    counterComponent
} from './counter/counter.component';
import {
    tabComponent
} from './tab/tab.component';
import {
    tabGroupComponent
} from './tab-group/tab-group.component';

import {
    checkboxComponent
} from './checkbox/checkbox.component';
import {
    radioComponent
} from './radio/radio.component';

import './tab-group/tab-group.less';

angular.module('controls.components', [])
    .component('cilLeftMenu', leftMenuComponent)
    .component('cilSideNav', sideNavComponent)
    .component('cilCounter', counterComponent)
    .component('cilCheckbox', checkboxComponent)
    .component('cilRadio', radioComponent)
    .component('cilTab', tabComponent)
    .component('cilTabGroup', tabGroupComponent);